API ReferenceProject Template
Retrieves a ProjectTemplate resource
GET
Retrieves a ProjectTemplate resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringProjectTemplate identifier
ProjectTemplate resource
- response
description?|Length
length <= 100000projectCategory?|nulldateStart?stringFormat
date-timedateEnd?stringFormat
date-timestageDatesRelativeToProject?booleanisBlameableRemovalEnabled?booleansavedCustomFieldValues?array<>id?stringFormat
uuidname?stringLength
length <= 100isPublic?booleancreatedBy?|nullisSimple?booleancurl -X GET 'https://app.icproject.com/api/instance/demo/project/project-templates/string'Example Response
{ "description": "string", "projectCategory": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "stageDatesRelativeToProject": true, "isBlameableRemovalEnabled": true, "savedCustomFieldValues": [ { "definition": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "weight": 0, "description": "string", "scope": "project", "dataType": "text", "floatDisplayType": "float", "floatDecimalPlaces": 0, "floatCurrencyCode": "str" }, "valueText": "string", "valueFloat": "string", "valueDateTime": "2019-08-24T14:15:22Z", "valueSelectOptions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string", "weight": 0, "decorator": "#78909c" } ], "valueSelectUsers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string" } ], "valueDepartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isPublic": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorName": "string", "jobPositionName": "string", "canLogIn": true, "isExternal": true }, "isSimple": true}